Thread (4 messages) flat view 4 messages, 2 authors, 2016-06-15

[BUG] log: Non-zero exit code?

From: Ramkumar Ramachandra <hidden>
Date: 2016-06-15 22:49:21
Subsystem: the rest · Maintainer: Linus Torvalds

Hi,

Here's a quick patch to illustrate the bug report. I initially thought
Bo Yang's series was at fault, but a quick checkout-make tells me that
the problem is much deeper- Am I doing something wrong? How did we not
notice this problem for so long?

-- 8< --
From: Ramkumar Ramachandra <redacted>
Date: Sat, 21 Aug 2010 11:44:13 +0530
Subject: [PATCH] log: test to check exit code

Add a test to check the exit code of a simple 'git log'
invocation. The test currently fails: the exit code seems to be 141,
instead of the expected 0.

Signed-off-by: Ramkumar Ramachandra <redacted>
---
 t/t4202-log.sh |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)
diff --git a/t/t4202-log.sh b/t/t4202-log.sh
index 2e51356..bd05bc9 100755
--- a/t/t4202-log.sh
+++ b/t/t4202-log.sh
@@ -37,6 +37,12 @@ test_expect_success setup '
 
 '
 
+test_expect_success 'exit code' '
+
+        git log
+        test_cmp $? 0
+'
+
 printf "sixth\nfifth\nfourth\nthird\nsecond\ninitial" > expect
 test_expect_success 'pretty' '
 
-- 
1.7.2.2.409.gdbb11.dirty
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help